Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155008 - Segfault when saving
Summary: Segfault when saving
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 16:07 UTC by Sigge Kotliar
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 15:02:59 UTC


Attachments (Terms of Use)

Description Sigge Kotliar 2005-04-15 16:07:09 UTC
Description of problem:
Whenever the "Save as" dialog pops up, Gimp crashes after perhaps a second or two.

The console gives me this:
(script-fu:7807): LibGimpBase-WARNING **: script-fu: wire_read(): error
Segmenteringsfel

(the latter is Swedish for segfault)


Version-Release number of selected component (if applicable):
gimp.i386 2:2.2.6-1
(was the same with the version downloaded with FC4T2)
gtk2-2.6.7-1



Steps to Reproduce:
1. Try to "Save as"

Comment 1 Nils Philippsen 2005-04-15 20:18:12 UTC
I can't reproduce the problem here (with an up2date Rawhide system, same
versions of gimp, gtk2). Any other peculiarities?

Comment 2 Sigge Kotliar 2005-04-16 11:52:46 UTC
Seems to work for me now... very strange... Maybe it has been a problem with
some kind of mix between FC4T2 packages and Rawhide ones... Will mark WORKSFORME
for now, if I see the bug again, I'll reopen it!

Comment 3 Sigge Kotliar 2005-04-16 11:56:28 UTC
Well, just a couple of minutes later, I seem to be able to see the bug again.

This is the deal: if the image in question has been dragged to GIMP from
Mozilla, and I use "Save as", this bug appears. Otherwise it doesn't.

Comment 4 Nils Philippsen 2005-04-18 13:27:32 UTC
Hmm, I can't reproduce it either. I've dragged images from Mozilla and Firefox
to the GIMP which opened as a picture, selected File/Save as from either the
menu bar or the right-click popup menu, but nothing crashes here. Does your home
directory reside on an NFS share per chance?

Comment 5 Sigge Kotliar 2005-04-18 18:50:29 UTC
No, it doesn't. It's a regular home directory.
The only thing unusual with it is that is has been continuously updated since
FC1 I think...

Could it something to do with where the file is temporarily stored? 
I also get the bug using "Save Copy".

It really needs to get fixed! Let me know how I can help.

Comment 6 Zuirdj 2005-05-06 18:41:05 UTC
Same bug here, when using "save copy", after a lot of work with the image.

$ rpm -q gimp
gimp-2.2.6-2

*** glibc detected *** gimp: realloc(): invalid next size: 0x0a1a2250 ***
======= Backtrace: =========
/lib/libc.so.6[0x64c105]
/lib/libc.so.6(__libc_realloc+0x101)[0x64caf0]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_alias_read_from_file+0x170)[0x8c1c55]
/usr/lib/libgnomevfs-2.so.0[0x8c0f4e]
/usr/lib/libgnomevfs-2.so.0[0x8c05f4]
/usr/lib/libgnomevfs-2.so.0[0x8c07a3]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_get_mime_type_from_file_name+0x17)[0x
8c0a28]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_mime_type_from_name_or_default+0xc7)[0x8a9
92a]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_get_mime_type_internal+0x19a)[0x8a9b85]
/usr/lib/libgnomevfs-2.so.0[0x8aa547]
/usr/lib/gnome-vfs-2.0/modules/libfile.so[0x86c875]
/usr/lib/gnome-vfs-2.0/modules/libfile.so[0x86e71a]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_directory_read_next_cancellable+0x50)[0x89
bcb4]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_job_execute+0x5d5)[0x8a3150]
/usr/lib/libgnomevfs-2.so.0[0x8a2083]
/usr/lib/libgnomevfs-2.so.0[0x8b31f3]
/usr/lib/libglib-2.0.so.0[0xd11e9a]
/lib/libpthread.so.0[0xc9db80]
/lib/libc.so.6(__clone+0x5e)[0x6b1b9e]
======= Memory map: ========
00111000-00133000 r-xp 00000000 03:05 129614     /lib/libm-2.3.5.so
00133000-00134000 r-xp 00021000 03:05 129614     /lib/libm-2.3.5.so
00134000-00135000 rwxp 00022000 03:05 129614     /lib/libm-2.3.5.so
00135000-0016d000 r-xp 00000000 03:05 1986601    /usr/lib/libgobject-2.0.so.0.60 0.4
0016d000-00171000 rwxp 00037000 03:05 1986601    /usr/lib/libgobject-2.0.so.0.60 0.4
00171000-00197000 r-xp 00000000 03:05 1986651    /usr/lib/libfontconfig.so.1.0.4
00197000-0019a000 rwxp 00026000 03:05 1986651    /usr/lib/libfontconfig.so.1.0.4
0019a000-0019b000 rwxp 0019a000 00:00 0
0019b000-001a2000 r-xp 00000000 03:05 1982490    /usr/X11R6/lib/libXi.so.6.0
001a2000-001a3000 rwxp 00006000 03:05 1982490    /usr/X11R6/lib/libXi.so.6.0
001a3000-001a5000 r-xp 00000000 03:05 1982511    /usr/X11R6/lib/libXinerama.so.1 .0
001a5000-001a6000 rwxp 00001000 03:05 1982511    /usr/X11R6/lib/libXinerama.so.1 .0
001a6000-001aa000 r-xp 00000000 03:05 1982033    /usr/X11R6/lib/libXfixes.so.3.0
001aa000-001ab000 rwxp 00003000 03:05 1982033    /usr/X11R6/lib/libXfixes.so.3.0
001ab000-001ad000 r-xp 00000000 03:05 2170967    /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
001ad000-001ae000 rwxp 00001000 03:05 2170967    /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
001af000-001d2000 r-xp 00000000 03:05 1986656    /usr/lib/libpangoft2-1.0.so.0.8
00.1
001d2000-001d4000 rwxp 00022000 03:05 1986656    /usr/lib/libpangoft2-1.0.so.0.8
00.1
001d6000-00206000 r-xp 00000000 03:05 1986655    /usr/lib/libpango-1.0.so.0.800. 1
00206000-0020c000 rwxp 00030000 03:05 1986655    /usr/lib/libpango-1.0.so.0.800. 1
0020e000-004da000 r-xp 00000000 03:05 1943053    /usr/lib/libgtk-x11-2.0.so.0.60 0.7
004da000-00501000 rwxp 002cc000 03:05 1943053    /usr/lib/libgtk-x11-2.0.so.0.60 0.7
00501000-00504000 rwxp 00501000 00:00 0
00506000-00582000 r-xp 00000000 03:05 1986659    /usr/lib/libgdk-x11-2.0.so.0.60 0.7
00582000-00589000 rwxp 0007c000 03:05 1986659    /usr/lib/libgdk-x11-2.0.so.0.60 0.7
0058b000-00595000 r-xp 00000000 03:05 1986658    /usr/lib/libpangox-1.0.so.0.800 .1
00595000-00596000 rwxp 00009000 03:05 1986658    /usr/lib/libpangox-1.0.so.0.800 .1
00596000-0059d000 r-xp 00000000 03:05 1982710    /usr/X11R6/lib/libXrender.so.1. 2.2
0059d000-0059e000 rwxp 00007000 03:05 1982710    /usr/X11R6/lib/libXrender.so.1. 2.2
0059f000-005b3000 r-xp 00000000 03:05 1986604    /usr/lib/libgdk_pixbuf-2.0.so.0
.600.7
005b3000-005b5000 rwxp 00013000 03:05 1986604    /usr/lib/libgdk_pixbuf-2.0.so.0
.600.7
005b7000-005cb000 r-xp 00000000 03:05 1943049    /usr/lib/libatk-1.0.so.0.901.0
005cb000-005ce000 rwxp 00014000 03:05 1943049    /usr/lib/libatk-1.0.so.0.901.0
005d0000-005d5000 r-xp 00000000 03:05 1986657    /usr/lib/libpangoxft-1.0.so.0.8
00.1
005d5000-005d6000 rwxp 00005000 03:05 1986657    /usr/lib/libpangoxft-1.0.so.0.8
00.1
005d8000-005dc000 r-xp 00000000 03:05 1943165    /usr/lib/libgimpmath-2.0.so.0.2
00.6
005dc000-005dd000 rwxp 00003000 03:05 1943165    /usr/lib/libgimpmath-2.0.so.0.2
00.6
005df000-005e6000 r-xp 00000000 03:05 1943198    /usr/lib/libgimpthumb-2.0.so.0.
200.6
005e6000-005e7000 rwxp 00006000 03:05 1943198    /usr/lib/libgimpthumb-2.0.so.0.
200.6
005e7000-0070b000 r-xp 00000000 03:05 129553     /lib/libc-2.3.5.so
0070b000-0070d000 r-xp 00124000 03:05 129553     /lib/libc-2.3.5.so
0070d000-0070f000 rwxp 00126000 03:05 129553     /lib/libc-2.3.5.so
0070f000-00711000 rwxp 0070f000 00:00 0
00711000-007e1000 r-xp 00000000 03:05 1978866    /usr/X11R6/lib/libX11.so.6.2
007e1000-007e5000 rwxp 000cf000 03:05 1978866    /usr/X11R6/lib/libX11.so.6.2
007e5000-007f7000 r-xp 00000000 03:05 1982415    /usr/X11R6/lib/libXft.so.2.1.2
007f7000-007f8000 rwxp 00012000 03:05 1982415    /usr/X11R6/lib/libXft.so.2.1.2
007f8000-00801000 r-xp 00000000 03:05 1980004    /usr/X11R6/lib/libXcursor.so.1. 0.2
00801000-00802000 rwxp 00008000 03:05 1980004    /usr/X11R6/lib/libXcursor.so.1. 0.2
00802000-00810000 r-xp 00000000 03:05 1981968    /usr/X11R6/lib/libXext.so.6.4
00810000-00811000 rwxp 0000e000 03:05 1981968    /usr/X11R6/lib/libXext.so.6.4
00811000-0081a000 r-xp 00000000 03:05 129617     /lib/libnss_files-2.3.5.so
0081a000-0081b000 r-xp 00008000 03:05 129617     /lib/libnss_files-2.3.5.so
0081b000-0081c000 rwxp 00009000 03:05 129617     /lib/libnss_files-2.3.5.so
0081c000-00828000 r-xp 00000000 03:05 2170316    /usr/lib/gtk-2.0/2.4.0/engines/
libbluecurve.so
00828000-00829000 rwxp 0000b000 03:05 2170316    /usr/lib/gtk-2.0/2.4.0/engines/
libbluecurve.so
00829000-0082d000 r-xp 00000000 03:05 2171991    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0082d000-0082e000 rwxp 00003000 03:05 2171991    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0082e000-00830000 r-xp 00000000 03:05 129548     /lib/libcom_err.so.2.1
00830000-00831000 rwxp 00001000 03:05 129548     /lib/libcom_err.so.2.1
00831000-00840000 r-xp 00000000 03:05 129656     /lib/libresolv-2.3.5.so
00840000-00841000 r-xp 0000e000 03:05 129656     /lib/libresolv-2.3.5.so
00841000-00842000 rwxp 0000f000 03:05 129656     /lib/libresolv-2.3.5.so
00842000-00844000 rwxp 00842000 00:00 0
00844000-0084c000 r-xp 00000000 03:05 1986671    /usr/lib/libgnome-keyring.so.0. 0.1
0084c000-0084d000 rwxp 00007000 03:05 1986671    /usr/lib/libgnome-keyring.so.0. 0.1
0084f000-00857000 r-xp 00000000 03:05 2237828    /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
00857000-00858000 rwxp 00007000 03:05 2237828    /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
00858000-00860000 r-xp 00000000 03:05 1978843    /usr/X11R6/lib/libSM.so.6.0
00860000-00861000 rwxp 00007000 03:05 1978843    /usr/X11R6/lib/libSM.so.6.0
00861000-00869000 r-xp 00000000 03:05 1943076    /usr/lib/libesd.so.0.2.35
00869000-0086a000 rwxp 00008000 03:05 1943076    /usr/lib/libesd.so.0.2.35
0086a000-00871000 r-xp 00000000 03:05 2237607    /usr/lib/gnome-vfs-2.0/modules/
libfile.so
00871000-00872000 rwxp 00006000 03:05 2237607    /usr/lib/gnome-vfs-2.0/modules/
libfile.so
00876000-00877000 r-xp 00876000 00:00 0
00877000-008d5000 r-xp 00000000 03:05 1982124    /usr/lib/libgnomevfs-2.so.0.100 0.0
008d5000-008dd000 rwxp 0005d000 03:05 1982124    /usr/lib/libgnomevfs-2.so.0.100 0.0
008dd000-008e2000 r-xp 00000000 03:05 1943110    /usr/lib/libfam.so.0.0.0
008e2000-008e3000 rwxp 00005000 03:05 1943110    /usr/lib/libfam.so.0.0.0
008e4000-008e6000 r-xp 00000000 03:05 1943099    /usr/lib/libkrb5support.so.0.0
008e6000-008e7000 rwxp 00001000 03:05 1943099    /usr/lib/libkrb5support.so.0.0
008e9000-008ff000 r-xp 00000000 03:05 1943103    /usr/lib/libgssapi_krb5.so.2.2
008ff000-00900000 rwxp 00016000 03:05 1943103    /usr/lib/libgssapi_krb5.so.2.2
00902000-00937000 r-xp 00000000 03:05 129717     /lib/libssl.so.0.9.7f
00937000-0093a000 rwxp 00035000 03:05 129717     /lib/libssl.so.0.9.7f
0093c000-00a46000 r-xp 00000000 03:05 1943097    /usr/lib/libxml2.so.2.6.19
00a46000-00a4e000 rwxp 00109000 03:05 1943097    /usr/lib/libxml2.so.2.6.19
00a4e000-00a4f000 rwxp 00a4e000 00:00 0
00a51000-00a55000 r-xp 00000000 03:05 1943084    /usr/lib/libgthread-2.0.so.0.60 0.4
00a55000-00a56000 rwxp 00003000 03:05 1943084    /usr/lib/libgthread-2.0.so.0.60 0.4
00a58000-00a60000 r-xp 00000000 03:05 1986602    /usr/lib/libgimpcolor-2.0.so.0.
200.6
00a60000-00a61000 rwxp 00008000 03:05 1986602    /usr/lib/libgimpcolor-2.0.so.0.
200.6
00a61000-00a84000 r-xp 00000000 03:05 1943100    /usr/lib/libk5crypto.so.3.0
00a84000-00a85000 rwxp 00023000 03:05 1943100    /usr/lib/libk5crypto.so.3.0
00a85000-00aa3000 r-xp 00000000 03:05 1984980    /usr/lib/libjpeg.so.62.0.0
00aa3000-00aa4000 rwxp 0001d000 03:05 1984980    /usr/lib/libjpeg.so.62.0.0
00aa4000-00abb000 r-xp 00000000 03:05 1978441    /usr/X11R6/lib/libICE.so.6.3
00abb000-00abc000 rwxp 00016000 03:05 1978441    /usr/X11R6/lib/libICE.so.6.3
00abc000-00abe000 rwxp 00abc000 00:00 0
00abe000-00ac7000 r-xp 00000000 03:05 129699     /lib/libgcc_s-4.0.0-20050428.so .1
00ac7000-00ac8000 rwxp 00009000 03:05 129699     /lib/libgcc_s-4.0.0-20050428.so .1
00ace000-00acf000 r-xp 00000000 03:05 2045524    /usr/lib/gconv/ISO8859-1.so
00acf000-00ad1000 rwxp 00000000 03:05 2045524    /usr/lib/gconv/ISO8859-1.so
00ad1000-00b40000 r-xp 00000000 03:05 1943102    /usr/lib/libkrb5.so.3.2
00b40000-00b43000 rwxp 0006e000 03:05 1943102    /usr/lib/libkrb5.so.3.2
00b43000-00b64000 r-xp 00000000 03:05 1943070    /usr/lib/libaudiofile.so.0.0.2
00b64000-00b67000 rwxp 00020000 03:05 1943070    /usr/lib/libaudiofile.so.0.0.2
00bd7000-00be9000 r-xp 00000000 03:05 1986648    /usr/lib/libz.so.1.2.2.2
00be9000-00bea000 rwxp 00011000 03:05 1986648    /usr/lib/libz.so.1.2.2.2
00c98000-00ca6000 r-xp 00000000 03:05 129589     /lib/libpthread-2.3.5.so
00ca6000-00ca7000 r-xp 0000d000 03:05 129589     /lib/libpthread-2.3.5.so
00ca7000-00ca8000 rwxp 0000e000 03:05 129589     /lib/libpthread-2.3.5.so
00ca8000-00caa000 rwxp 00ca8000 00:00 0
00cd3000-00d57000 r-xp 00000000 03:05 1986591    /usr/lib/libglib-2.0.so.0.600.4
00d57000-00d5c000 rwxp 00084000 03:05 1986591    /usr/lib/libglib-2.0.so.0.600.4
00d5e000-00dbf000 r-xp 00000000 03:05 1986649    /usr/lib/libfreetype.so.6.3.7
00dbf000-00dc6000 rwxp 00061000 03:05 1986649    /usr/lib/libfreetype.so.6.3.7
00dc8000-00de5000 r-xp 00000000 03:05 1986650    /usr/lib/libexpat.so.0.5.0
00de5000-00de7000 rwxp 0001c000 03:05 1986650    /usr/lib/libexpat.so.0.5.0
00de9000-00dec000 r-xp 00000000 03:05 1980092    /usr/lib/libgmodule-2.0.so.0.60 0.4
00dec000-00ded000 rwxp 00002000 03:05 1980092    /usr/lib/libgmodule-2.0.so.0.60 0.4
00df6000-00df8000 r-xp 00000000 03:05 129599     /lib/libdl-2.3.5.so
00df8000-00df9000 r-xp 00001000 03:05 129599     /lib/libdl-2.3.5.so
00df9000-00dfa000 rwxp 00002000 03:05 129599     /lib/libdl-2.3.5.so
00e1d000-00e20000 r-xp 00000000 03:05 1982569    /usr/X11R6/lib/libXrandr.so.2.0
00e20000-00e21000 rwxp 00002000 03:05 1982569    /usr/X11R6/lib/libXrandr.so.2.0
00eb6000-00ebe000 r-xp 00000000 03:05 129666     /lib/librt-2.3.5.so
00ebe000-00ebf000 r-xp 00007000 03:05 129666     /lib/librt-2.3.5.so
00ebf000-00ec0000 rwxp 00008000 03:05 129666     /lib/librt-2.3.5.so
00ec0000-00eca000 rwxp 00ec0000 00:00 0
00f04000-00f05000 r-xp 00000000 03:05 2139172    /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcUTF8Load.so.2
00f05000-00f06000 rwxp 00000000 03:05 2139172    /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcUTF8Load.so.2
00f87000-00fa1000 r-xp 00000000 03:05 129558     /lib/ld-2.3.5.so
00fa1000-00fa2000 r-xp 00019000 03:05 129558     /lib/ld-2.3.5.so
00fa2000-00fa3000 rwxp 0001a000 03:05 129558     /lib/ld-2.3.5.so
00fa6000-00fad000 r-xp 00000000 03:05 1978421    /usr/lib/libpopt.so.0.0.0
00fad000-00fae000 rwxp 00006000 03:05 1978421    /usr/lib/libpopt.so.0.0.0
00fae000-010a5000 r-xp 00000000 03:05 129716     /lib/libcrypto.so.0.9.7f
010a5000-010b7000 rwxp 000f7000 03:05 129716     /lib/libcrypto.so.0.9.7f
010b7000-010ba000 rwxp 010b7000 00:00 0
02202000-022be000 r-xp 00000000 03:05 129702     /lib/libasound.so.2.0.0
022be000-022cc000 rwxp 000bb000 03:05 129702     /lib/libasound.so.2.0.0
03405000-03412000 r-xp 00000000 03:05 1981781    /usr/lib/libgimpbase-2.0.so.0.2
00.6
03412000-03413000 rwxp 0000d000 03:05 1981781    /usr/lib/libgimpbase-2.0.so.0.2
00.6
0342b000-0343e000 r-xp 00000000 03:05 1986669    /usr/lib/libgnome-2.so.0.1000.0
0343e000-0343f000 rwxp 00013000 03:05 1986669    /usr/lib/libgnome-2.so.0.1000.0
03446000-0345b000 r-xp 00000000 03:05 1986663    /usr/lib/libart_lgpl_2.so.2.3.1 7
0345b000-0345c000 rwxp 00014000 03:05 1986663    /usr/lib/libart_lgpl_2.so.2.3.1 7
03474000-03552000 r-xp 00000000 03:05 1943058    /usr/lib/libgimpwidgets-2.0.so.
0.200.6
03552000-03557000 rwxp 000dd000 03:05 1943058    /usr/lib/libgimpwidgets-2.0.so.
0.200.6
03559000-0359d000 r-xp 00000000 03:05 1943085    /usr/lib/libORBit-2.so.0.0.0
0359d000-035aa000 rwxp 00043000 03:05 1943085    /usr/lib/libORBit-2.so.0.0.0
035ac000-035b0000 r-xp 00000000 03:05 1943063    /usr/lib/libgimpmodule-2.0.so.0
.200.6
035b0000-035b1000 rwxp 00003000 03:05 1943063    /usr/lib/libgimpmodule-2.0.so.0
.200.6
035b3000-035e3000 r-xp 00000000 03:05 1943091    /usr/lib/libgconf-2.so.4.1.0
035e3000-035e8000 rwxp 0002f000 03:05 1943091    /usr/lib/libgconf-2.so.4.1.0
035ea000-035fb000 r-xp 00000000 03:05 1943094    /usr/lib/libbonobo-activation.s
o.4.0.0
035fb000-035fe000 rwxp 00010000 03:05 1943094    /usr/lib/libbonobo-activation.s
o.4.0.0
03611000-0365d000 r-xp 00000000 03:05 1943095    /usr/lib/libbonobo-2.so.0.0.0
0365d000-03667000 rwxp 0004b000 03:05 1943095    /usr/lib/libbonobo-2.so.0.0.0
03669000-0366c000 r-xp 00000000 03:05 1943093    /usr/lib/libORBitCosNaming-2.so
.0.0.0
0366c000-0366d000 rwxp 00003000 03:05 1943093    /usr/lib/libORBitCosNaming-2.so
.0.0.0
0366f000-03684000 r-xp 00000000 03:05 1943104    /usr/lib/libhowl.so.0.0.0
03684000-03686000 rwxp 00014000 03:05 1943104    /usr/lib/libhowl.so.0.0.0
03686000-03798000 rwxp 03686000 00:00 0
03802000-03828000 r-xp 00000000 03:05 1982288    /usr/lib/libgnomecanvas-2.so.0.
1000.0
03828000-0382b000 rwxp 00025000 03:05 1982288    /usr/lib/libgnomecanvas-2.so.0.
1000.0
0382d000-0388a000 r-xp 00000000 03:05 1986670    /usr/lib/libbonoboui-2.so.0.0.0
0388a000-03891000 rwxp 0005d000 03:05 1986670    /usr/lib/libbonoboui-2.so.0.0.0
03893000-0391b000 r-xp 00000000 03:05 1943117    /usr/lib/libgnomeui-2.so.0.1000 .0
0391b000-03922000 rwxp 00088000 03:05 1943117    /usr/lib/libgnomeui-2.so.0.1000 .0
03968000-0398b000 r-xp 00000000 03:05 1986661    /usr/lib/libpng12.so.0.1.2.8
0398b000-0398c000 rwxp 00023000 03:05 1986661    /usr/lib/libpng12.so.0.1.2.8
08047000-08325000 r-xp 00000000 03:05 1978702    /usr/bin/gimp-2.2
08325000-08361000 rw-p 002dd000 03:05 1978702    /usr/bin/gimp-2.2
08361000-0837c000 rw-p 08361000 00:00 0
0932b000-0a1bd000 rw-p 0932b000 00:00 0          [heap]
b4700000-b4721000 rw-p b4700000 00:00 0
b4721000-b4800000 ---p b4721000 00:00 0
b48b4000-b48b6000 rw-p b48b4000 00:00 0
b48b6000-b48b7000 ---p b48b6000 00:00 0
b48b7000-b48f7000 rw-p b48b7000 00:00 0
b48f7000-b48f9000 r--p 00000000 03:05 65075      /usr/share/locale/es/LC_MESSAGE
S/atk10.mo
b48fb000-b4902000 r--p 00000000 03:05 65318      /usr/share/locale/es/LC_MESSAGE
S/libgnomeui-2.0.mo
b4902000-b4903000 ---p b4902000 00:00 0
b4903000-b5303000 rw-p b4903000 00:00 0
b5304000-b67fd000 rw-p b5304000 00:00 0
b67ff000-b736f000 rw-p b67ff000 00:00 0
b736f000-b7381000 r--p 00000000 03:05 2464186    /usr/X11R6/lib/X11/fonts/Type1/
l048033t.pfa
b7381000-b7385000 rw-p b7384000 00:00 0
b7386000-b7396000 r--s 00000000 03:05 2170776    /usr/share/icons/hicolor/icon-t
heme.cache
b7396000-b739b000 r--s 00000000 03:05 2299265    /usr/share/icons/gnome/icon-the
me.cache
b739b000-b73b5000 r--s 00000000 03:05 2308128    /usr/share/icons/Bluecurve/icon
-theme.cache
b73b5000-b73c4000 r--p 00000000 03:05 2011621    /usr/share/locale/es/LC_MESSAGE
S/gimp-print.mo
b73c4000-b73da000 r--p 00000000 03:05 64831      /usr/share/locale/es/LC_MESSAGE
S/gimp20-gap.mo
b73da000-b73e2000 r--p 00000000 03:05 2008960    /usr/share/locale/es/LC_MESSAGE
S/gimp20-script-fu.mo
b73e2000-b73e4000 rw-p b73e2000 00:00 0
b73e4000-b7410000 r--p 00000000 03:05 2008961    /usr/share/locale/es/LC_MESSAGE
S/gimp20-std-plug-ins.mo
b7410000-b7414000 rw-s 00000000 00:07 2162710    /SYSV00000000 (deleted)
b7414000-b7417000 r--p 00000000 03:05 2008959    /usr/share/locale/es/LC_MESSAGE
S/gimp20-libgimp.mo
b7417000-b7c0f000 rw-p b7417000 00:00 0
b7c0f000-b7c6f000 rw-s 00000000 00:07 2129941    /SYSV00000000 (deleted)
b7c6f000-b7ccf000 rw-s 00000000 00:07 2097172    /SYSV00000000 (deleted)
b7cd1000-b7ce3000 rw-p b7cd1000 00:00 0
b7ce4000-b7cf8000 rw-p b7ce4000 00:00 0
b7cf8000-b7d0a000 r--p 00000000 03:05 2462479    /usr/X11R6/lib/X11/fonts/Type1/
l048013t.pfa
b7d0a000-b7d10000 rw-p b7d0a000 00:00 0
b7d11000-b7d15000 rw-p b7d11000 00:00 0
b7d15000-b7d27000 r--p 00000000 03:05 2464179    /usr/X11R6/lib/X11/fonts/Type1/
l048016t.pfa
b7d27000-b7d2d000 rw-p b7d27000 00:00 0
b7d2d000-b7d32000 r--p 00000000 03:05 64776      /usr/share/locale/es/LC_MESSAGE
S/glib20.mo
b7d32000-b7d3a000 rw-p b7d32000 00:00 0
b7d3a000-b7d6a000 r--p 00000000 03:05 2008962    /usr/share/locale/es/LC_MESSAGE
S/gimp20.mo
b7d6a000-b7d88000 r--p 00000000 03:05 2008156    /usr/share/locale/es/LC_MESSAGE
S/libc.mo
b7d88000-b7da4000 r--p 00000000 03:05 65355      /usr/share/locale/es/LC_MESSAGE
S/gtk20-properties.mo
b7da4000-b7daa000 r--s 00000000 03:05 2040386    /usr/lib/gconv/gconv-modules.ca che
b7daa000-b7db4000 r--p 00000000 03:05 65361      /usr/share/locale/es/LC_MESSAGE
S/gtk20.mo
b7db4000-b7fb4000 r--p 00000000 03:05 1978416    /usr/lib/locale/locale-archive
b7fb4000-b7fbd000 rw-p b7fb4000 00:00 0
b7fc0000-b7fca000 rw-p b7fc0000 00:00 0
bf8b5000-bf8ca000 rw-p bf8b5000 00:00 0          [stack]
gimp: terminated: Abortado


Comment 7 Nils Philippsen 2005-05-09 07:12:03 UTC
Please check whether the problem persists in gimp-2.2.7 which should hit Rawhide
soon.

Comment 8 Zuirdj 2005-05-11 16:33:24 UTC
Gimp doesn't work, I think because #157409

Comment 9 Nils Philippsen 2005-05-12 10:33:01 UTC
I'm working on a fix for this, just have to get it past the build system (which
doesn't like it on some architectures). I'll post here when it went through.

Comment 10 Zuirdj 2005-05-13 15:59:24 UTC
It seems both bugs were fixed with latest rawhide (gimp-2.2.7-2)

Comment 11 Sigge Kotliar 2005-05-13 16:02:06 UTC
No... the segfault is still there on my computer

gimp-2.2.7-2


Comment 12 James Bourne 2005-06-22 05:47:43 UTC
I see this here on FC4 Release, gimp 2.2.7-4.  I do have a core file and once I
get the appropriate debug RPMS installed I can post a backtrace for you.  For
now I have:
(gdb) bt
#0  0x475f3f96 in g_type_check_instance_is_a ()
   from /usr/lib/libgobject-2.0.so.0
#1  0x417dc884 in gtk_file_folder_get_info () from /usr/lib/libgtk-x11-2.0.so.0
#2  0x417c8bf4 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#3  0x417c8f27 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#4  0x475f076d in g_io_condition_get_type () from /usr/lib/libgobject-2.0.so.0
#5  0x475db285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6  0x475f091a in g_io_condition_get_type () from /usr/lib/libgobject-2.0.so.0
#7  0x47567650 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#8  0x475653ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x475683f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#10 0x475686e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#11 0x080632f4 in ?? ()
#12 0x08063bfc in ?? ()
#13 0x470adde6 in __libc_start_main (main=0x8063812, argc=1, 
    ubp_av=0xbfac38a4, init=0x824a6c0, fini=0x824a710, 
    rtld_fini=0x47088f2d <_dl_fini>, stack_end=0xbfac389c)
    at ../sysdeps/generic/libc-start.c:228
#14 0x08062e81 in ?? ()

not complete but perhaps a start?

Regards
James

Comment 13 James Bourne 2005-06-22 06:10:21 UTC
Another note, I've found it's reproducable if you open the file using File=>Open
Location then use Right Click Image=>File=>Save As, before or during dialog
display is when the crash occurs.

Comment 14 James Bourne 2005-06-22 06:32:40 UTC
Here is a full backtrace.  If you need anything else please ask.

Regards
James

#0  0x475f3f96 in g_type_check_instance_is_a ()
   from /usr/lib/libgobject-2.0.so.0
(gdb) bt
#0  0x475f3f96 in g_type_check_instance_is_a ()
   from /usr/lib/libgobject-2.0.so.0
#1  0x417dc884 in gtk_file_folder_get_info () from /usr/lib/libgtk-x11-2.0.so.0
#2  0x417c8bf4 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#3  0x417c8f27 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#4  0x475f076d in g_io_condition_get_type () from /usr/lib/libgobject-2.0.so.0
#5  0x475db285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6  0x475f091a in g_io_condition_get_type () from /usr/lib/libgobject-2.0.so.0
#7  0x47567650 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#8  0x475653ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x475683f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#10 0x475686e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#11 0x080632f4 in app_run (
    full_prog_name=0x73637210 <Address 0x73637210 out of bounds>, gimp_argc=0, 
    gimp_argv=0xbfac38a8, alternate_system_gimprc=0x0, alternate_gimprc=0x0, 
    session_name=0x73637210 <Address 0x73637210 out of bounds>, 
    batch_interpreter=0x73637210 <Address 0x73637210 out of bounds>, 
    batch_commands=0x73637210, no_interface=0, no_data=1935897104, 
    no_fonts=1935897104, no_splash=1935897104, be_verbose=0, 
    use_shm=1935897104, use_cpu_accel=185, console_messages=1935897104, 
    stack_trace_mode=1935897104, pdb_compat_mode=1935897104) at app_procs.c:376
#12 0x08063bfc in main (argc=1, argv=0xbfac38a4) at main.c:473
#13 0x470adde6 in __libc_start_main (main=0x8063812 <main>, argc=1, 
    ubp_av=0xbfac38a4, init=0x824a6c0 <__libc_csu_init>, 
    fini=0x824a710 <__libc_csu_fini>, rtld_fini=0x47088f2d <_dl_fini>, 
    stack_end=0xbfac389c) at ../sysdeps/generic/libc-start.c:228
#14 0x08062e81 in _start ()
(gdb)

Comment 15 Sigge Kotliar 2005-07-25 13:15:44 UTC
It seems to work ok for me now, with gimp 2.2.7-4.

Any of the other reporters still see this?
Otherwise, perhaps this should be marked FIXED? 
Don't know what fixed it though...

Comment 16 Zuirdj 2005-07-26 23:34:17 UTC
It works OK for me.


Note You need to log in before you can comment on or make changes to this bug.